Skip to content


Subversion checkout URL

You can clone with
Download ZIP
Fetching latest commit...
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.


Roxen PHP support. Early version. Don't expect to be able to get it to
work. Requires Pike 0.7.79 and Roxen 1.4. Anything less won't work.

The module is now thread safe, in a couple of different modes. First
mode, the default, uses a process global PHP lock in the Roxen
module. This means that all PHP-requests are serialized (ie only one
script is executed at any one time). The second option is using ZTS
(Zend Thread Safe mode). Unless --enable-roxen-zts is specified, this
won't be used.

This solution now works fine and is recommended. Multiple PHP5
requests will be run in parallell. The maximum number of parallell
PHP5-execution is limited to the number of handle threads Roxen is
started with.

Support for this module is lacking. Please contact Roxen Internet
Software for support and help. See
for contact information.
Something went wrong with that request. Please try again.